# Define the kmod package name here.
%define	 kmod_name netflow-promisc
%define	 real_name netflow

Name:	 %{kmod_name}-kmod
Version: 1.6
Release: 1%{?dist}
Group:	 System Environment/Kernel
License: GPLv2
Summary: CentOS-5 netflow kernel module
URL:	 http://sourceforge.net/projects/ipt-netflow

BuildRoot:     %{_tmppath}/%{real_name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources.
Source0:  ipt_%{real_name}-%{version}.tgz
Patch1:   %{real_name}-%{version}-promisc.patch
BuildRequires: iptables
BuildRequires: iptables-sources

# If kversion isn't defined on the rpmbuild line, build for the current kernel.
%{!?kversion: %define kversion %(uname -r)}

# Define the variants for each architecture.
%define basevar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 x86_64
%define xenvar xen
%endif

# If kvariants isn't defined on the rpmbuild line, build all variants for this architecture.
%{!?kvariants: %define kvariants %{?basevar} %{?xenvar} %{?paevar}}

# Magic hidden here.
%define kmodtool sh /usr/lib/rpm/redhat/kmodtool
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kversion} %{kvariants} 2>/dev/null)}


%description
Ipt-netflow is very fast and effective Netflow exporting module 
for Linux kernel. Designed for Linux router with heavy network load.
This is netfilter/iptables module adding support for NETFLOW target.
It's not using conntrack for performance reasons.

%prep
%setup -q -c -T -a 0
%patch1 -p1 -b .promisc
for kvariant in %{kvariants} ; do
    %{__cp} -a ipt_%{real_name}-%{version} _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    ./configure --ipt-src=/usr/share/doc/iptables-sources
    %{__make} -C "${ksrc}" modules M=$PWD
    popd
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    %{__make} -C "${ksrc}" modules_install M=$PWD
    popd
done
# Strip the module(s).
find ${INSTALL_MOD_PATH} -type f -name \*.ko -exec strip --strip-debug \{\} \;


%clean
%{__rm} -rf $RPM_BUILD_ROOT



%changelog
* Sat Feb 27 2010 Denis Frolov <d.frolov81@mail.ru> - 1.6-1
- Initial build
